/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program that prints protocol name. */
#include <stdlib.h>
#include <stdio.h>
#include <netdb.h>
#include <netinet/in.h>

int main() {
    struct protoent *result;

    
    setprotoent(1);
    while((result=getprotoent()) != NULL) {
       printf("%s\n",result->p_name);  
    }
    endprotoent();
}

